Create deposit product

Create an organization's time deposit accounts. Time deposit accounts, such as CDs, require you to keep your funds in the account for a mutually agreed amount for a specific period of time.
This endpoint generates the Deposit product created event. For information about interest-bearing accounts, see Interest-bearing accounts.

Body Params
string
required

The product name.

string
required

Interest rate plan ID. This corresponds to the ID you created using the Create interest plan version) endpoint.

string
enum
required

Term type. For example, FIXED or FLEXIBLE.

Allowed:
maturity_instructions
object
  • If the principal or interest are ROLLOVER, the respective amounts is rolled over to a new deposit term.
  • If the principal is NO_ACTION, no action is taken with the principal amount at maturity.
  • If the interest is PAY and the accrued interest is greater than zero, it's paid to the account's cash balance.
processing_codes
object
integer

Period in days when a withdrawal can be made without penalty.

integer

Period during which money is allowed to deposit into the account before the account is blocked. The value of this field is calculated in days.

int32

Number of days during which changes can be made to the product before it rolls over. If you define a grace period penalty, configure it under penalties.grace_period.

number

The minimum balance required to earn yield. If the balance is below this amount, yield is not calculated, and if no value is specified, any available amount is treated as accrued interest.

number

Maximum deposit amount.

integer

Minimum term duration. The value of this field is calculated in days.

integer

Maximum term duration. The value of this field is calculated in days.

penalties
object
date

Define the earliest date from which the product can be attached to an account or program. Attach operations attempted before this date are rejected.

metadata
object

The metadata object contains user-defined key-value pairs that provide additional context or custom information.
Metadata content is not controlled by the Pismo platform and is instead controlled by the user.

Headers
string
required

Account token. Token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized error.

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json